petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMCreateInjection

Gets injection matrix between two DM objects

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMCreateInjection(DM dm1,DM dm2,Mat *mat)

Collective on DM

### Input Parameter

| dm1 | - the DM object
| dm2 | - the second, finer DM object

### Output Parameter

mat -the injection

Notes: For DMDA objects this only works for "uniform refinement", that is the refined mesh was obtained DMRefine() or the coarse mesh was obtained by DMCoarsen(). The coordinates set into the DMDA are completely ignored in computing the injection.

### See Also

DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateColoring(), DMCreateMatrix(), DMCreateInterpolation()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages